#include <iostream>
#include "constness.hpp"

using std::cout;

void RenderTarget::draw(const Drawable& drawable) {
  drawable.draw(*this);
}

void Shape::draw(const RenderTarget& target) const {
  cout << "shape draw\n";
}

using std::cout;

int main() {

  RenderTarget target;
  Shape shape;

  target.draw(shape);

  return 0;
}
